/**
 * 农村居民收入与支出js
 */
$(function(){
	initTable();
})
/**
 * 新增录入
 */
function addBtn(){
	$("#hiddenid").val("");
	$("#name").val("");
	$("#baseModal").modal("show");
}
/**
 * 编辑修改
 */
function edit(id){
	var rowdata = jQuery("#table_list_1").jqGrid("getRowData", id);
	$("#hiddenid").val(id);
	$("#name").val(rowdata.name);
	$("#baseModal").modal("show");
}

/**
 * 保存信息
 */
function saveBtn(){
	var id = $("#hiddenid").val();
	var name = $("#name").val();
	if(name==""){
		showModal("请输入类别名称");
		return;
	}
	if(name.length>20){
		showModal("类别名称长度不能超过20位");
		return;
	}
	$.ajax({
		type:"Post",
		url:"../fruit/saveTypeInfo.service",
		data:{ 
			id:id,
			name:name
		},
		dataType:"json",
		success:function(data){
			if(data.success=="true"){
				$("#baseModal").modal("hide");
				showModal(data.message);
				reLoadTable();
			}else{
				showModal(data.message);
				return;
			}
		}
	});
}
/**
 * 删除信息
 */
function deleteInfo(id){
	modalComfirm("确定删除该类别吗",function(res){
		if(res){
			$.ajax({
				type:"Post",
				url:"../fruit/deleteType.service",
				data:{ 
					id:id
				},
				dataType:"json",
				success:function(data){
					if(data.success=="true"){
						showModal(data.message);
						reLoadTable();
					}else{
						showModal(data.message);
						return;
					}
				}
			});
		}
	})
}

/* 重新加载表格 */
function reLoadTable() {
	$("#table_list_1").jqGrid('setGridParam', {
		url : "../fruit/getTypeList.service",
		postData : {
			'name' : $("#searchText").val()
		}, //发送数据 
		page : 1
	}).trigger("reloadGrid"); //重新载入  
}
	
/* 初始化表格 */
function initTable() {
	$.jgrid.defaults.styleUI = 'Bootstrap';
	$("#table_list_1").jqGrid({
		url : "../fruit/getTypeList.service",
		loadBeforeSend: function(xhr){
			xhr.setRequestHeader("token",getQueryVariable("JSONID"));
        },
		datatype : "json",
		height : 500,
		autowidth : true,
		shrinkToFit : true,
		rowNum : 50,
		rowList : [ 50, 100, 150 ],
		jsonReader : {
			root : "list",
			page : "currPage",
			total : "totalpages", //   很重要 定义了 后台分页参数的名字。
			records : "count",
			repeatitems : false,
			id : "id"
		},
		colNames : [ '操作', '类别'],
		colModel : [  
			{  name : 'caozuo',width: 5,align:'center',formatter :cLink,sortable:false },
			{  name : 'name',index : 'name',width: 80,sortable:false},
		],
		pager : "#pager_list_1",
		viewrecords : true,
		multiselect : false,
		caption : "",
		hidegrid : false
	});
	$(window).bind('resize', function() {
		var width = $('.jqGrid_wrapper').width();
		$('#table_list_1').setGridWidth(width);
	});
}

/* 表格操作事件 */
function cLink(cellvalue, options, rowObject){  
	return "<a title='编辑' onclick='edit(\"" + options.rowId + "\")'><span  class='glyphicon glyphicon-pencil'></span></a>&nbsp&nbsp<a title='删除' onclick='deleteInfo(\""+options.rowId+"\")'><span style='color:red' class='glyphicon glyphicon-remove'></span></a>";
}

